Page MenuHomeFreeBSD

biology/tRNAscan-SE: fix build with GCC-based architecturs
ClosedPublic

Authored by pkubaj on May 28 2019, 2:27 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mar 4 2024, 2:29 PM
Unknown Object (File)
Mar 4 2024, 2:29 PM
Unknown Object (File)
Mar 4 2024, 2:29 PM
Unknown Object (File)
Mar 3 2024, 4:10 PM
Unknown Object (File)
Feb 18 2024, 8:19 AM
Unknown Object (File)
Jan 14 2024, 5:45 PM
Unknown Object (File)
Dec 30 2023, 9:18 PM
Unknown Object (File)
Dec 30 2023, 9:18 PM
Subscribers
None

Details

Summary

Recently, after testing, I committed a change to use new compiler on GCC architectures.

It turns out this was not needed, there's an issue with threaded compilation which manifests in:

  • bin/EukHighConfidenceFilter ---

sh: cannot create bin/EukHighConfidenceFilter: No such file or directory

  • bin/fasta2gsi ---

sh: cannot create bin/fasta2gsi: No such file or directory

  • bin/sstofa ---

sh: cannot create bin/sstofa: No such file or directory

Remove USES=compiler:c11 and add MAKE_JOBS_UNSAFE=yes to fix it.

PR: 237848

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision is now accepted and ready to land.May 29 2019, 9:17 PM
This revision was automatically updated to reflect the committed changes.